To create a new User please make a POST request to the following URL:
HTTP Method URL POST https://industrial.api.ubidots.com/api/v2.0/users/
Parameter Type Use Description token String Authentication Authorization Token can optionally be sent as a query parameter.
Parameter Type Required? Default Value username String Yes N/A (Required). Only alphanumeric characters, dash or hyphen. On owners the prefix testing is not allowed. password String Yes N/A (Required) firstName String No ""lastName String No ""email String Yes N/A (Required) defaultOrganization String No nulldefaultRole String No nulldefaultDashboard String No nulllanguage String No nullwebsite String No ""timezone String No nulldecimalPlaces Integer No nullnumberFormat String No nullisActive Boolean No Truetags List No default=[], max_length=20 (tags max limit), max_length=50 (tags max length) contactMethods List No []
Parameter Required? Description X-Auth-Token Yes Authentication Token of accountContent-Type Yes Content type of body: String (application/json)
cURL (Request)
$ curl -X POST 'https://industrial.api.ubidots.com/api/v2.0/users' \
-H 'Content-Type: application/json' \
-H 'X-Auth-Token: oaXBo6ODhIjPsusNRPUGIK4d72bc73' \
-d '{
"username":"testt",
"firstName":"first",
"lastName":"last",
"password":"12345test",
"email":"[email protected] "
}'
200 OK 400 Bad Request 401 Unauthorized
{
"url": "https://industrial.api.ubidots.com/api/v2.0/users/63d3f1247fefea000cd325af",
"id": "63d3f1247fefea000cd325af",
"username": "testt",
"firstName": "first",
"lastName": "last",
"email": "[email protected] ",
"defaultOrganization": null,
"defaultRole": null,
"defaultDashboard": null,
"mugshotUrl": "//www.gravatar.com/avatar/1aedb8d9dc4751e229a335e371db8058?s=100&d=mm",
"language": null,
"website": "",
"timezone": null,
"decimalPlaces": 2,
"numberFormat": null,
"firstTime": true,
"properties": {
"password_update_timestamp": 1712608765455
},
"organizations": [],
"organizationsCount": 0,
"isActive": true,
"lastLogin": null,
"tags": [
"tag1",
"tag2"
],
"createdAt": "2023-01-27T15:43:32.549760Z",
"contactMethods": []
}{
"code": 400001,
"message": "Validation Error.",
"detail": {
....
}
}{
"code": 401001,
"message": "Authentication credentials were not provided.",
"detail": "Authentication credentials were not provided."
}
Returns a User object of the User created.